package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class DrpSmMaterialInquiryPageDetailVO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("货品类别id")
   private Long categoryId;
   @ApiModelProperty("货品类别")
   private String categoryName;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位")
   private String unitName;
   @ApiModelProperty("意向中标价")
   private Integer targetPrice;
   @ApiModelProperty("当前报价")
   private Integer quotePrice;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("备注")
   private String remark;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getTargetPrice() {
      return this.targetPrice;
   }

   public Integer getQuotePrice() {
      return this.quotePrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setTargetPrice(final Integer targetPrice) {
      this.targetPrice = targetPrice;
   }

   public void setQuotePrice(final Integer quotePrice) {
      this.quotePrice = quotePrice;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
